Skip to main content
GET
Get investor list

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string
required

The ID of the list being requested.

Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

Response

The list including investor ids

id
string<uuid>
required

List Id

Example:

"5868fd24-b559-44db-8647-7535bd58451a"

name
string
required

Name of the list

Example:

"My Watchlist"

investors
ApiInvestorListEntryResponse · object[]
required

The investors included in this list

is_global
boolean
default:false

true when the list is a global list curated by Specter and available to all users. false for lists owned by your organization.

Example:

false

shared_with
string[]

The Specter user IDs this list is shared with, or an empty array when it is not shared. Resolve an ID to a person with Get organization members.

Example:
created_at
string<date-time> | null

Date list was created

Example:

"2026-07-17T16:22:17.352985Z"

updated_at
string<date-time> | null

Date the list was last updated

Example:

"2026-07-17T16:22:17.352985Z"